using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Text;
using System.Threading;
using System.Globalization;

public partial class main : System.Web.UI.MasterPage
{

    protected string JScript = "";
    protected string full_view = "class=\"container_b\""; // normal body view 970px;
   
    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);

        // JQuery script settings
        string _root = Config.GetUrl();
        // Core JQUERY JS Call       
        HtmlGenericControl jsquery = new HtmlGenericControl("script");
        jsquery.Attributes.Add("type", "text/javascript");
        jsquery.Attributes.Add("src", "https://ajax.googleapis.com/ajax/libs/jquery/1.6.2/jquery.min.js");
        Page.Header.Controls.Add(jsquery);

        // jquery user interface related js call
        HtmlGenericControl ui_core = new HtmlGenericControl("script");
        ui_core.Attributes.Add("type", "text/javascript");
        ui_core.Attributes.Add("src", "http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.16/jquery-ui.min.js");
        Page.Header.Controls.Add(ui_core);

        // Activate for enabling round corners in IE Browser
        // Note: You must remove round corner behavriour from buttons, textbox and other controls. it will disturb these controls 
        // while applying round corners.
        //HtmlGenericControl js_ie_round_corner = new HtmlGenericControl("script");
        //js_ie_round_corner.Attributes.Add("type", "text/javascript");
        //js_ie_round_corner.Attributes.Add("src", Config.GetUrl("javascript/DD_roundies.uicornerfix.js"));
        //Page.Header.Controls.Add(js_ie_round_corner);

        // If you need jquery tabs in website then enable it.
        //HtmlGenericControl jsquery_ui_tags = new HtmlGenericControl("script");
        //jsquery_ui_tags.Attributes.Add("type", "text/javascript");
        //jsquery_ui_tags.Attributes.Add("src", Config.GetUrl("jquery/ui/ui/ui.tabs.js"));
        //Page.Header.Controls.Add(jsquery_ui_tags);
     
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            
        }
    }

    protected void Page_PreRender(object sender, EventArgs e)
    {
        HttpContext context = HttpContext.Current;
        context.Response.Filter = new System.IO.Compression.GZipStream(context.Response.Filter, System.IO.Compression.CompressionMode.Compress);
        HttpContext.Current.Response.AppendHeader("Content-encoding", "gzip");
        HttpContext.Current.Response.Cache.VaryByHeaders["Accept-encoding"] = true;
    }



    
}
